Bug 130949 - CAN-2004-0801 foomatic-rip arbitrary command execution issue
CAN-2004-0801 foomatic-rip arbitrary command execution issue
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-08-25 19:11 EDT by Josh Bressers
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.2-19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-20 02:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-08-25 19:11:41 EDT
The cupsomatic driver in foomatic has an issue where if a properly
named file is handed to lpr for printing, it can cause arbitrary
command execution.

I'll attach the patch when it becomes available.

This issue should also affect FC1.
Comment 1 Tim Waugh 2004-09-10 08:02:06 EDT
Candidate packages built (FEDORA-2004-302, FEDORA-2004-303).  Awaiting
release date for push.
Comment 2 Josh Bressers 2004-09-15 10:04:16 EDT
Removing embargo
Comment 3 Marius Andreiana 2005-08-20 02:24:33 EDT
FC4 includes the fixes.

Note You need to log in before you can comment on or make changes to this bug.